Bug 172476 - netpoll: avoid kfree_skb on packets with destructors
netpoll: avoid kfree_skb on packets with destructors
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-04 18:07 EST by Jeffrey Moyer
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
don't call __kfree_skb on skb's with destructors (460 bytes, patch)
2005-11-04 18:07 EST, Jeffrey Moyer
no flags Details | Diff

  None (edit)
Description Jeffrey Moyer 2005-11-04 18:07:53 EST
Description of problem:

Netpoll will generate an unwanted printk when __kfree_skb is called with a
destructor from interrupt context.  Here is a discussion of the patch:
  http://oss.sgi.com/projects/netdev/archive/2005-03/msg00161.html

The version for RHEL will also have a conditional based upon whether or not we
are in netdump_mode.  If in netdump_mode, always do __kfree_skb, as we otherwise
have no way of freeing the skb.

Version-Release number of selected component (if applicable):
kernel-2.6.9-22

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeffrey Moyer 2005-11-04 18:07:53 EST
Created attachment 120746 [details]
don't call __kfree_skb on skb's with destructors
Comment 2 Neil Horman 2006-12-06 08:57:28 EST
built, verified and posted.  Thanks!
Comment 3 Jason Baron 2007-01-05 11:27:23 EST
committed in stream U5 build 42.38. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 4 RHEL Product and Program Management 2007-01-18 11:27:47 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Jay Turner 2007-01-18 15:46:49 EST
QE ack for RHEL4.5.
Comment 8 Red Hat Bugzilla 2007-05-01 19:57:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.